/* SK: card background added */
.card.card-background.card-background-mask-transparent:before {
  background: rgba(0, 0, 0, 0); /* Fully transparent */
}

.card.card-background.card-background-mask-transparent:after {
  background: rgba(0, 0, 0, 0); /* Fully transparent */
  opacity: 1; /* No opacity change needed since it's fully transparent */
}

/* SK: CUSTOM for HOVER EFFECTS */
.nav-item .nav-link:hover .sidenav-mini-icon {
  transform: scale(1.1);
  color: #cb0c9f; 
  transition: transform 0.3s ease, color 0.3s ease;
}

/* Ensure the icon returns to normal state when not hovered */
.nav-item .sidenav-mini-icon {
  transition: transform 0.3s ease, color 0.3s ease;
}

.nav-item .nav-link:hover .sidenav-normal {
  transform: scale(1.1);
  color: #cb0c9f; 
  transition: transform 0.3s ease, color 0.3s ease;
}

/* Ensure the icon returns to normal state when not hovered */
.nav-item .sidenav-normal {
  transition: transform 0.3s ease, color 0.3s ease;
}

/* Center the entire content of centered-column */
.centered-column i {
  text-align: center; /* Centers content horizontally */
  vertical-align: middle; /* Centers content vertically within the row */
  padding-left: 0; /* Removes any left padding */
}

/* Specific styles for icons and text within centered columns */
.centered-column i,
.centered-column .text {
  transition: transform 0.3s ease, color 0.3s ease; /* Hover effects */
  vertical-align: middle;
}

.centered-column i:hover,
.centered-column .text:hover {
  transform: scale(1.3);
  cursor: pointer;
}

/* Ensure the centered-column class is specific enough to apply */
table#datatable-search .centered-column {
  text-align: center; /* Centers content horizontally */
  vertical-align: middle; /* Centers content vertically within the row */
}

.nav-item .nav-link:hover .icon {
  transform: scale(1.1);
  transition: transform 0.3s ease, color 0.3s ease;
}

.nav-item .nav-link:hover .nav-link-text {
  transform: scale(1.1);
  transition: transform 0.3s ease, color 0.3s ease;
}

.nav-item .nav-link:hover .nav-link-text {
  transition: transform 0.3s ease, color 0.3s ease;
}

/* Ensuring smooth transition for both the icon and text */
.nav-item .icon, 
.nav-item .nav-link-text {
  transition: transform 0.3s ease, color 0.3s ease;
}

.container-fluid .list-group .list-group-item .calendly-link:hover {
  font-size: 1.1em;
}

/*Links*/
.custom-link {
  color: #596CFF;
  transition: font-size 0.3s ease, color 0.3s ease;
}

.custom-link:hover {
  font-size: 1.02em;
  color: #596CFF;
  cursor: pointer;
}

.table td, .table th {
  white-space: normal; /* Allows text to wrap */
  word-wrap: break-word; /* Breaks long words to wrap to the next line */
  overflow-wrap: break-word; /* Helps in breaking the words */
}

.custom-list-style {
    list-style-type: '👉 ';
}

/*
.nav-item-highlight .nav-link {
  transform: scale(1.1);
  color: #cb0c9f;
}*/

.nav-item-highlight .nav-link .text-sm {
  font-size: 1.1em;
  color: #cb0c9f;
}

.important-icon {
  color: #cb0c9f;
}

.optional-icon {
  color: #8392AB
}

.link-blue-color-only {
  color: #596CFF;
}